Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.util
Class asl2tex

    java.lang.Object
      jason.util.asl2xml
          jason.util.asl2tex

    public class asl2tex

extends asl2xml

Convert an agent asl code to LaTeX.

Field Summary

Fields inherited from class jason.util.asl2xml
`transCache`

Constructor Summary
`asl2tex()`
`asl2tex(java.lang.String style)`

Method Summary
`javax.xml.transform.Transformer` | `getTransformer()`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `transform(org.w3c.dom.Document agState)`

Methods inherited from class jason.util.asl2xml
`transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### asl2tex

    public asl2tex()

### asl2tex

    public asl2tex(java.lang.String style)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### transform

    public java.lang.String transform(org.w3c.dom.Document agState)
                               throws java.lang.Exception

  Overrides:
    `transform` in class `asl2xml`
  Throws:
    `java.lang.Exception`

### getTransformer

    public javax.xml.transform.Transformer getTransformer()
                                                   throws java.lang.Exception

  Overrides:
    `getTransformer` in class `asl2xml`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD